// portable.h
//
// Copyright (C) 2000  Robert Barron, KA5WSS
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef _PORTABLE_H_
#define _PORTABLE_H_

#ifdef LC_LINUX
#define LC_SHORT(i)		char i[2];
#define LC_USHORT(i)	char i[2];
#define LC_INT(i)		char i[4];
#define LC_LONG(i)		char i[4];
#define LC_ULONG(i)		char i[4];
#else
#define LC_SHORT(i)		short i;
#define LC_USHORT(i)	unsigned short i;
#define LC_INT(i)		int i;
#define LC_LONG(i)		long i;
#define LC_ULONG(i)		unsigned long i;
#endif

#ifdef LC_LINUX
void strupr(char *szInputString);
#endif

#endif
